EDIT - feature request #6905
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate supplemental data view
08/10/2017 04:52 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: critical

Description

Associated revisions

Revision 361f170d - 08/10/2017 05:26 PM - Patrick Plitzner

ref #6905 Migrate supplemental data view

Revision a6d63028 - 08/10/2017 07:12 PM - Patrick Plitzner

ref #6905, #6597 Extract super class for details and supplemental viewer

Revision 9da8ddff - 08/10/2017 07:19 PM - Patrick Plitzner

ref #6905, #6597 Propagate selection for supplemental data view

Revision 615407a6 - 08/11/2017 11:28 AM - Patrick Plitzner

ref #6905, #6597 Allow saving of editor when view is active

Revision a4980826 - 08/11/2017 11:40 AM - Patrick Plitzner
ref #6905, #6597 refactor selectionChanged() method

Revision 3c2b5bba - 08/11/2017 12:36 PM - Patrick Plitzner

ref #6905, #6597 further improvement on selection evaluation

Revision eff541be - 08/11/2017 01:00 PM - Patrick Plitzner
ref #6905, #6597 Fix potential NPE

Revision 25593544 - 08/14/2017 09:42 AM - Patrick Plitzner
ref #6905, #6597 Adjust visibility

Revision 4b40006d - 08/14/2017 09:42 AM - Patrick Plitzner
ref #6905, #6597 Fix potential NPE

Revision 15376¢80 - 08/14/2017 09:43 AM - Patrick Plitzner
ref #6905, #6597 Restore details and supplemental view

Revision b8e0aa81 - 08/15/2017 11:06 AM - Patrick Plitzner

ref #6905, #6597 Move part initialisation to sub classes

Revision 2443233c - 08/15/2017 11:06 AM - Patrick Plitzner
ref #6905, #6597 viewer handling

Revision c5fb1ac9 - 09/04/2017 03:28 PM - Patrick Plitzner

ref #6905 Enable supplemental view for selections in details view
Revision b43e3e03 - 09/12/2017 11:00 AM - Patrick Plitzner

ref #6905 Enable supplemental view for selections in details view

Revision c30cf437 - 09/15/2017 07:38 AM - Patrick Plitzner

ref #6905 enable supplemental view for bulk editor

Revision 5405049e - 09/26/2017 02:32 PM - Patrick Plitzner
ref #6905 Fix potential NPE

History

#1 - 08/11/2017 01:12 PM - Patrick Plitzner
- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

There is still the issue that the views are not restored. But please test the rest.

#2 - 08/14/2017 09:44 AM - Patrick Plitzner

Patrick Plitzner wrote:

There is still the issue that the views are not restored. But please test the rest.

This has been fixed now

#3 - 08/14/2017 09:44 AM - Patrick Plitzner
- % Done changed from 0 to 50

#4 - 08/15/2017 02:35 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.10

Katja, can you review this first and then pass to me?

#5 - 08/16/2017 12:37 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Patrick Plitzner

when changing from taxon to name the supplemental data view still shows the taxon data

#6 - 09/04/2017 03:29 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 50 to 80

| enabled the supplemental view for selections in the details view

#7 - 09/07/2017 09:53 AM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

did you test whether the supplemental data are changed if you click on the scientific name? in my workspace it does not work

#8 - 09/14/2017 12:01 PM - Andreas Miiller
- Priority changed from New to Highest
- % Done changed from 80 to 60

- Severity changed from normal to critical

The supplemental data view does not seem to be triggered by bulk editor. If it is empty before it stays empty. If it contains data, the data do not
change. | tested with Person, Media and Taxon bulk editor.
Set to critical because this is blocking a release

#9 - 09/15/2017 07:48 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

#10 - 09/15/2017 09:04 AM - Andreas Muller

- Status changed from Feedback to Resolved

#11 - 09/20/2017 07:44 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

Seems to work fine now

#12 - 09/26/2017 04:51 PM - Patrick Plitzner
- % Done changed from 60 to 100
